<template>
  <div class="headerSubgrid">
    <router-link class="home-link link-style" to="/Home">Home</router-link>
    <router-link class="about-link link-style" to="/about">about</router-link>
    <label>
      <span v-if="this.$store.getters.isUserSignedIn">
        <div class="link-style detail-link">
          <router-link to="/diveDetail">Dive Details</router-link>
        </div>
      </span>
    </label>
    <label>
      <span v-if="this.$store.getters.isUserSignedIn">
        <div class="link-style edit-link">
          <router-link to="/EditDives">Edit Dives</router-link>
        </div>
      </span>
    </label>
    <div v-if="!this.$store.getters.isUserSignedIn" class="grid-item login">
      <router-link to="/login">login</router-link>
    </div>
    <div v-if="this.$store.getters.isUserSignedIn" class="grid-item login">
      <router-link to="/logout">logout</router-link>
    </div>
    <router-link class="link-style about-link" to="/about">About</router-link>
    <router-link
      class="link-style detail-link"
      v-if="this.$store.getters.isUserSignedIn"
      to="/diveDetail"
      >Dive Details</router-link
    >
    <router-link
      class="link-style edit-link"
      v-if="this.$store.getters.isUserSignedIn"
      :to="{ name: 'EditDives' }"
      >Edit Dives</router-link
    >
    <router-link
      v-if="!this.$store.getters.isUserSignedIn"
      class="grid-item login"
      :to="{ name: 'Login' }"
      >Login</router-link
    >
    <router-link
      v-if="this.$store.getters.isUserSignedIn"
      class="grid-item login"
      :to="{ name: 'Logout' }"
      >Logout</router-link
    >
  </div>
</template>

<script>
export default {
  name: "diveHeader",
};
</script>

<style scoped>
.subgrid {
  display: grid;
  grid-template-columns: 2.5fr 2.5fr 2.8fr 2.5fr 0.1fr 0.1fr;
  grid-template-rows: 0.1fr 2fr 0.1fr;
  column-gap: 1px;
}

.effect {
  position: relative;
  overflow: hidden;
}

.effect:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.1);
}

.effect:after {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    90deg,
    transparent,
    rgba(255, 255, 255, 0.4),
    transparent
  );
  transition: 0.3s;
  transition-delay: 0.3s;
}

.effect:hover:after {
  left: 100%;
}

.effect span {
  position: absolute;
  display: block;
  transition: 0.3s ease;
}

.effect span:nth-child(1) {
  top: 0;
  left: 0;
  width: 0;
  height: 1px;
  background: #fff;
}

.effect:hover span:nth-child(1) {
  width: 100%;
  height: 1px;
  transform: translateX(100%);
}

.effect span:nth-child(2) {
  top: 0;
  left: 0;
  width: 1px;
  height: 0;
  background: #fff;
}

.effect:hover span:nth-child(2) {
  height: 100%;
  transform: translateY(100%);
}

.effect span:nth-child(3) {
  bottom: 0;
  right: 0;
  width: 0;
  height: 1px;
  background: #fff;
}

.effect:hover span:nth-child(3) {
  width: 100%;
  transform: translateX(-100%);
}

.effect span:nth-child(4) {
  bottom: 0;
  right: 0;
  width: 1px;
  height: 0;
  background: #fff;
}

.effect:hover span:nth-child(4) {
  height: 100%;
  transform: translateY(-100%);
}

.home-link {
  grid-column: 1/2;
  grid-row: 2/3;
  /* transform: rotateX(180deg); */
}
.about-link {
  grid-column: 2/3;
  grid-row: 2/3;
}
.detail-link {
  grid-column: 3/4;
  grid-row: 2/3;
}
.edit-link {
  grid-column: 4/5;
  grid-row: 2/3;
}

.grid-item.login {
  height: 60px;
  width: 60px;
  background-color: #bbb;
  border-radius: 50%;
  line-height: 55px;
  grid-column: 6/6;
  grid-row: 2/3;
  justify-self: end;
  margin: 0.5em;
}
.link-style {
  /* color: #444; */
  border: 1px solid #ccc;
  background: #ddd;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  cursor: pointer;
  place-self: center stretch;
  padding-top: 0.5em;
  padding-bottom: 0.5em;
  margin: 0.5em;
  border-radius: 1em;
}
.link-style:active {
  color: fff;
  box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.6);
}
.link-style:hover {
  background: rgb(0, 212, 255);
  background: linear-gradient(
    0deg,
    rgba(0, 212, 255, 1) 16%,
    rgba(5, 201, 251, 1) 32%,
    rgba(0, 212, 255, 1) 64%
  );
  color: fff;
}
.login:hover {
  background: rgb(0, 212, 255);
  background: linear-gradient(
    0deg,
    rgba(0, 212, 255, 1) 16%,
    rgba(5, 201, 251, 1) 32%,
    rgba(0, 212, 255, 1) 64%
  );
  color: fff;
}

@media (max-width: 800px) {
  .subgrid {
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
  }

  .home-link {
    grid-column: 1/2;
    grid-row: 1/2;
  }
  .about-link {
    grid-column: 2/3;
    grid-row: 1/2;
  }
  .detail-link {
    grid-column: 1/2;
    grid-row: 2/3;
  }

  .edit-link {
    grid-column: 2/3;
    grid-row: 2/3;
  }
  .grid-item.login {
    grid-column: 3/4;
    grid-row: 1/3;
  }
  .link-style {
    padding: 0.2em;
    margin: 0.2em;
  }
}
</style>
